Bug 122884 - non-portable whitespace in line 7 of /usr/include/gnu/stubs.h
non-portable whitespace in line 7 of /usr/include/gnu/stubs.h
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-05-09 20:43 EDT by Bob Gustafson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-29 02:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2004-05-09 20:43:02 EDT
Description of problem:

 In compiling a user program (not mine though), I see a diagnostic
warning - something about a non-portable whitespace in line 7 of the
file /usr/include/gnu/stubs.h

Version-Release number of selected component (if applicable):
Don't know if this is part of the kernel source files or not, but I am
using FC2(Test3) updated to kernel .356 as of this morning

How reproducible:
 It is software - doesn't change.

Steps to Reproduce:
Actual results:

make[1]: Entering directory `/usr/local/src/sel/XSB/emu'
makedepend  -- -I/usr/local/src/sel/XSB/config/i686-pc-linux-gnu  -I
-I -O4 -fomit-frame-pointer -finline-functions -Wall  -- auxlry.c
biassert.c builtin.c cinterf.c debug_xsb.c dis.c dynload.c
dynamic_stack.c emuloop.c error_xsb.c findall.c function.c hash_xsb.c
hashtable_xsb.c heap_xsb.c init_xsb.c inst_xsb.c io_builtins_xsb.c
loader_xsb.c main_xsb.c memory_xsb.c orient_xsb.c pathname_xsb.c
psc_xsb.c random_xsb.c remove_unf.c residual.c scc_xsb.c slgdelay.c
socket_xsb.c string_xsb.c storage_xsb.c struct_manager.c sub_delete.c
subp.c system_xsb.c table_stats.c tables.c timer_xsb.c token_xsb.c
tr_utils.c trace_xsb.c trie_lookup.c trie_search.c tries.c
tst_insert.c tst_retrv.c tst_unify.c tst_utils.c varstring.c         
makedepend: warning:  /usr/include/gnu/stubs.h:  non-portable
whitespace encountered at line 7
make[1]: Leaving directory `/usr/local/src/sel/XSB/emu'
make[1]: Entering directory `/usr/local/src/sel/XSB/emu'

Expected results:
 No warning message.

Additional info:

  I took out the whitespace and am continuing..
Comment 1 Arjan van de Ven 2004-05-10 02:38:57 EDT
thatfile really doesn't come from the kernel....
Comment 2 Jakub Jelinek 2004-05-10 02:53:50 EDT
There is nothing unportable about it and it is done that way on purpose.
K&R doesn't grok #error and it is the only one that requires cpp directives
to start at the beginning of line.
ISO C on the other side allows whitespace before # for cpp directives
and has #error.  So
#ifdef _LIBC
 #error Applications may not define the macro _LIBC
is usable with both K&R and ISO C.
If makedepend complains about this, it is broken.
Comment 3 Bob Gustafson 2004-05-29 02:59:42 EDT
Don't remember the program that originally triggered the bug.

Assuming that makedepend is fixed...

So, Worksforme

Note You need to log in before you can comment on or make changes to this bug.